<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yccrc.kede.mapper.EnterpriseYearInfoMapper">

    <resultMap id="BaseResultMap" type="com.yccrc.kede.domain.EnterpriseYearInfo">
        <id property="id" column="id" jdbcType="INTEGER"/>
        <result property="entId" column="ent_id" jdbcType="INTEGER"/>
        <result property="entName" column="ent_name" jdbcType="VARCHAR"/>
        <result property="projectYear" column="project_year" jdbcType="VARCHAR"/>
        <result property="address" column="address" jdbcType="VARCHAR"/>
        <result property="linkName" column="link_name" jdbcType="VARCHAR"/>
        <result property="linkPhone" column="link_phone" jdbcType="VARCHAR"/>
        <result property="linkMobile" column="link_mobile" jdbcType="VARCHAR"/>
        <result property="totoalPersons" column="totoal_persons" jdbcType="VARCHAR"/>
        <result property="sales" column="sales" jdbcType="VARCHAR"/>
        <result property="techPersons" column="tech_persons" jdbcType="VARCHAR"/>
        <result property="techInvest" column="tech_invest" jdbcType="VARCHAR"/>
        <result property="techRate" column="tech_rate" jdbcType="VARCHAR"/>
        <result property="industry" column="industry" jdbcType="VARCHAR"/>
        <result property="innovateFlag" column="innovate_flag" jdbcType="BIT"/>
        <result property="smallFlag" column="small_flag" jdbcType="BIT"/>
        <result property="techFlag" column="tech_flag" jdbcType="BIT"/>
        <result property="techScope" column="tech_scope" jdbcType="VARCHAR"/>
        <result property="techStartDate" column="tech_start_date" jdbcType="VARCHAR"/>
        <result property="techEndDate" column="tech_end_date" jdbcType="VARCHAR"/>
        <result property="techLicense" column="tech_license" jdbcType="VARCHAR"/>
        <result property="createBy" column="create_by" jdbcType="VARCHAR"/>
        <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
        <result property="updateBy" column="update_by" jdbcType="VARCHAR"/>
        <result property="updateTime" column="update_time" jdbcType="TIMESTAMP"/>
        <result property="remark" column="remark" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        id
        ,ent_id,ent_name,
        project_year,address,link_name,
        link_phone,link_mobile,totoal_persons,
        sales,tech_persons,tech_invest,
        tech_rate,industry,innovate_flag,
        small_flag,tech_flag,tech_scope,
        tech_start_date,tech_end_date,tech_license,
        create_by,create_time,update_by,
        update_time,remark
    </sql>
</mapper>
